ACN::SDT::Channel Class Reference

The Channel class Sequenced channels are unidirectional communication channels (unicast or multicast) from an owner component to one or more member components. More...

`#include <channel.h>`

## Public Member Functions

| Channel (std::shared_ptr< Component >, Direction)
| Channel::Channel. More...
| ~Channel ()
| Channel::~Channel & closes the channel cleanly.

## Detailed Description

The Channel class Sequenced channels are unidirectional communication channels (unicast or multicast) from an owner component to one or more member components.

## Constructor & Destructor Documentation

## Channel()

ACN::SDT::Channel::Channel | ( | std::shared_ptr< Component > | owner,
|  | Direction | direction
| ) |  |

Channel::Channel.

Parameters

  owner |
  direction |

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/channel.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/channel.cpp